Loading...
Searching...
No Matches
casacore::TaqlRegex Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <ExprNodeRep.h>`

## Public Member Functions

| TaqlRegex (const Regex &regex)
| Construct from a regex.
| TaqlRegex (const StringDistance &dist)
| Construct from a StringDistance.
Bool | match (const String &str) const
| Does the regex or maximum string distance match?
const Regex & | regex () const
| Return the regular expression.

## Private Attributes

Regex | itsRegex
StringDistance | itsDist

## Detailed Description

Class to handle a Regex or StringDistance.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- Regex
- StringDistance

### Synopsis

A StringDistance (Levensthein distance) in TaQL is given in the same way as a Regex. This class is needed to have a single object in the parse tree objects containing them (in class TableExprNodeConstRegex).

Definition at line 79 of file ExprNodeRep.h.

## Constructor & Destructor Documentation

## TaqlRegex() [1/2]

casacore::TaqlRegex::TaqlRegex | ( | const Regex & | regex | ) |

inline explicit

Construct from a regex.

Definition at line 83 of file ExprNodeRep.h.

References itsRegex, and regex().

## TaqlRegex() [2/2]

casacore::TaqlRegex::TaqlRegex | ( | const StringDistance & | dist | ) |

inline explicit

Construct from a StringDistance.

Definition at line 88 of file ExprNodeRep.h.

References itsDist.

## Member Function Documentation

## match()

Bool casacore::TaqlRegex::match | ( | const String & | str | ) | const

inline

Does the regex or maximum string distance match?

Definition at line 93 of file ExprNodeRep.h.

References itsDist, itsRegex, and casacore::String::matches().

## regex()

const Regex & casacore::TaqlRegex::regex | ( |  | ) | const

inline

Return the regular expression.

Definition at line 99 of file ExprNodeRep.h.

References itsRegex.

Referenced by TaqlRegex().

## Member Data Documentation

## itsDist

StringDistance casacore::TaqlRegex::itsDist

private

Definition at line 104 of file ExprNodeRep.h.

Referenced by match(), and TaqlRegex().

## itsRegex

Regex casacore::TaqlRegex::itsRegex

private

Definition at line 103 of file ExprNodeRep.h.

Referenced by match(), regex(), and TaqlRegex().

The documentation for this class was generated from the following file:

- tables/TaQL/ExprNodeRep.h